[Setup] Re: error upgrading from 2.1.2 to 2.5

Reinout van Rees reinout at vanrees.org
Fri Aug 25 08:52:08 UTC 2006


David Hostetler wrote:
> 
> UPDATE:
> 
> I still can't successfully upgrade to 2.5.
> 
> However, I have a different path to failure now.  Instead of trying to
> upgrade from 2.1.2 to 2.5, did the following:
> 
> - upgrade zope: 2.8.6 -> 2.8.7 (successful)
> - upgrade plone: 2.1.2 -> 2.1.3 (successful)
> - upgrade plone: 2.1.3 -> 2.5 (FAILED)
> 
> The error trace (for a Dry run) is the same as that included below when
> I tried 2.1.2->2.5.
> 
> So this isn't really progress, since I still can't migrate to 2.5, but
> at least 2.1.2 seems to not be part of the equation, i.e. I can
> reproducibly fail to migrate 2.1.3->2.5 on zope 2.8.7.

One thing you might try: execute the migration a second time. I've had a
problem once where the migration failed, but a second migration was able
to pick up the pieces.

This does not really solve the problem, that's for sure. But it perhaps
gives another clue to what goes wrong exactly.

Reinout

-- 
Reinout van Rees                       r.van.rees @ zestsoftware.nl
http://vanrees.org/weblog/                  http://zestsoftware.nl/
"Military engineers build missiles. Civil engineers build targets."





More information about the Setup mailing list